> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aiployees.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Списък с асистенти

> Извличане на всички асистенти за удостоверения потребител със страницирване

Този endpoint ви позволява да извлечете всички AI асистенти, принадлежащи на удостоверения потребител.

### Query Parameters

<ParamField query="per_page" type="integer" optional>
  Брой асистенти на страница (1-100, по подразбиране: 10)
</ParamField>

<ParamField query="page" type="integer" optional>
  Номер на страницата (по подразбиране: 1)
</ParamField>

### Полета в отговора

<ResponseField name="data" type="array">
  <Expandable title="properties">
    <ResponseField name="id" type="integer">
      Уникалният идентификатор на асистента
    </ResponseField>

    <ResponseField name="user_id" type="integer">
      ID на потребителя, който притежава този асистент
    </ResponseField>

    <ResponseField name="phone_number_id" type="integer">
      ID на телефонния номер, присвоен на асистента
    </ResponseField>

    <ResponseField name="engine_id" type="integer">
      Engine ID
    </ResponseField>

    <ResponseField name="synthesizer_id" type="integer">
      Synthesizer ID
    </ResponseField>

    <ResponseField name="transcriber_id" type="integer">
      Transcriber ID
    </ResponseField>

    <ResponseField name="voice_id" type="integer">
      ID на гласа, използван от асистента
    </ResponseField>

    <ResponseField name="instance_id" type="integer">
      Instance ID за асистента
    </ResponseField>

    <ResponseField name="name" type="string">
      Името на асистента
    </ResponseField>

    <ResponseField name="variables" type="object">
      Персонализирани променливи, дефинирани за асистента
    </ResponseField>

    <ResponseField name="post_call_evaluation" type="boolean">
      Дали е активирана оценката след разговора
    </ResponseField>

    <ResponseField name="fillers" type="integer">
      Дали е активирано filler audio (1 = активирано, 0 = деактивирано)
    </ResponseField>

    <ResponseField name="post_call_schema" type="array">
      Схема дефиниция за извличане на данни след разговора

      <Expandable title="post_call_schema properties">
        <ResponseField name="name" type="string">
          Името на полето от схемата
        </ResponseField>

        <ResponseField name="type" type="string">
          Типът данни (string, number, bool)
        </ResponseField>

        <ResponseField name="description" type="string">
          Описание на това, което представлява това поле
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="tools" type="array">
      Масив от инструменти, достъпни за асистента
    </ResponseField>

    <ResponseField name="is_webhook_active" type="boolean">
      Дали са активирани webhook уведомленията
    </ResponseField>

    <ResponseField name="webhook_url" type="string">
      Webhook URL за уведомления след разговора
    </ResponseField>

    <ResponseField name="inbound_webhook_url" type="string">
      Webhook URL за уведомления за входящи обаждания
    </ResponseField>

    <ResponseField name="language" type="string">
      Език
    </ResponseField>

    <ResponseField name="type" type="string">
      Типът на асистента (inbound или outbound)
    </ResponseField>

    <ResponseField name="status" type="string">
      Текущият статус на асистента (active или inactive)
    </ResponseField>

    <ResponseField name="max_duration" type="integer">
      Максимална продължителност на разговора в секунди
    </ResponseField>

    <ResponseField name="record" type="boolean">
      Дали да записва разговорите
    </ResponseField>

    <ResponseField name="initial_message" type="string">
      Първоначалното съобщение, което асистентът ще изговори
    </ResponseField>

    <ResponseField name="system_prompt" type="string">
      Системният prompt, който дефинира поведението на асистента
    </ResponseField>

    <ResponseField name="flows_platform_id" type="integer">
      ID за интеграция с flows platform
    </ResponseField>

    <ResponseField name="timezone" type="string">
      Настройката за часова зона на асистента
    </ResponseField>

    <ResponseField name="created_at" type="string">
      Датата и времето, когато асистентът е създаден
    </ResponseField>

    <ResponseField name="updated_at" type="string">
      Датата и времето, когато асистентът е последно актуализиран
    </ResponseField>

    <ResponseField name="max_silence_duration" type="integer">
      Максимална продължителност на тишината в секунди преди повторно включване
    </ResponseField>

    <ResponseField name="reengagement_interval" type="integer">
      Интервал за повторно включване в секунди
    </ResponseField>

    <ResponseField name="deleted_at" type="string">
      Timestamp за soft deletion (null ако не е изтрит)
    </ResponseField>

    <ResponseField name="end_call_on_voicemail" type="integer">
      Дали да прекратява разговора при засичане на гласова поща (1 = да, 0 = не)
    </ResponseField>

    <ResponseField name="llm_temperature" type="string">
      LLM temperature настройка като string
    </ResponseField>

    <ResponseField name="voice_stability" type="string">
      Настройка за стабилност на гласа като string
    </ResponseField>

    <ResponseField name="voice_similarity" type="string">
      Настройка за сходство на гласа като string
    </ResponseField>

    <ResponseField name="allow_interruptions" type="boolean">
      Дали да позволява прекъсвания от обаждащия се
    </ResponseField>

    <ResponseField name="enable_noise_cancellation" type="boolean">
      Дали е активирано потискането на шума
    </ResponseField>

    <ResponseField name="endpoint_sensitivity" type="number">
      Ниво на чувствителност на endpoint
    </ResponseField>

    <ResponseField name="speech_speed" type="string">
      Множител за скоростта на речта като string
    </ResponseField>

    <ResponseField name="endpoint_type" type="string">
      Тип на засичане на гласова активност (vad или ai)
    </ResponseField>

    <ResponseField name="wait_for_customer" type="boolean">
      Дали да чака клиентът първо да заговори
    </ResponseField>

    <ResponseField name="mode" type="string">
      Режимът на engine (pipeline или multimodal)
    </ResponseField>

    <ResponseField name="language_id" type="integer">
      ID на езика, използван от асистента
    </ResponseField>

    <ResponseField name="transcriber_provider_id" type="integer">
      ID на доставчика на transcriber
    </ResponseField>

    <ResponseField name="synthesizer_provider_id" type="integer">
      ID на доставчика на synthesizer
    </ResponseField>

    <ResponseField name="llm_model_id" type="integer">
      ID на използвания LLM модел
    </ResponseField>

    <ResponseField name="multimodal_model_id" type="integer">
      ID на използвания multimodal модел
    </ResponseField>

    <ResponseField name="ambient_sound" type="string">
      Настройка за околен звук
    </ResponseField>

    <ResponseField name="uuid" type="string">
      Уникален UUID за асистента
    </ResponseField>

    <ResponseField name="send_webhook_only_on_completed" type="boolean">
      Дали да изпраща webhooks само при завършени разговори
    </ResponseField>

    <ResponseField name="include_recording_in_webhook" type="boolean">
      Дали да включва URL за запис в webhook payload
    </ResponseField>

    <ResponseField name="interrupt_sensitivity" type="number">
      Ниво на чувствителност за прекъсване
    </ResponseField>

    <ResponseField name="filler_config" type="object">
      Конфигурация за filler audio отговори

      <Expandable title="filler_config properties">
        <ResponseField name="neutral" type="array">
          Масив от неутрални filler отговори
        </ResponseField>

        <ResponseField name="negative" type="array">
          Масив от негативни filler отговори
        </ResponseField>

        <ResponseField name="positive" type="array">
          Масив от позитивни filler отговори
        </ResponseField>

        <ResponseField name="question" type="array">
          Масив от въпросителни filler отговори
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="knowledgebase_id" type="integer">
      ID на свързаната база знания
    </ResponseField>

    <ResponseField name="knowledgebase_mode" type="string">
      Настройка за режим на базата знания
    </ResponseField>

    <ResponseField name="min_interrupt_words" type="integer">
      Минимален брой думи преди да се позволи прекъсване
    </ResponseField>

    <ResponseField name="ambient_sound_volume" type="string">
      Ниво на околния звук като string
    </ResponseField>

    <ResponseField name="widget_settings" type="object">
      Настройки за интеграция с уеб widget
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseField name="current_page" type="integer">
  Текущият номер на страницата
</ResponseField>

<ResponseField name="per_page" type="integer">
  Брой елементи на страница
</ResponseField>

<ResponseField name="total" type="integer">
  Общ брой асистенти
</ResponseField>

<ResponseField name="last_page" type="integer">
  Номерът на последната страница
</ResponseField>

<ResponseExample>
  ```json 200 Response theme={null}
  {
    "current_page": 1,
    "data": [
      {
        "id": 127,
        "user_id": 1,
        "phone_number_id": 45,
        "engine_id": null,
        "synthesizer_id": null,
        "transcriber_id": null,
        "voice_id": 8,
        "instance_id": 1,
        "name": "Sales Outreach Assistant",
        "variables": {
          "company_name": "Your Company",
          "product_line": "Premium Services",
          "rep_name": "Assistant"
        },
        "post_call_evaluation": true,
        "fillers": 1,
        "post_call_schema": [
          {
            "name": "interest_level",
            "type": "string",
            "description": "Customer's level of interest (high, medium, low)"
          },
          {
            "name": "budget_qualified",
            "type": "bool",
            "description": "Whether the prospect has adequate budget"
          },
          {
            "name": "follow_up_date",
            "type": "string",
            "description": "Preferred date for follow-up contact"
          }
        ],
        "tools": [],
        "is_webhook_active": true,
        "webhook_url": "https://yourcompany.com/api/webhooks/sales-calls",
        "inbound_webhook_url": null,
        "language": null,
        "type": "outbound",
        "status": "active",
        "max_duration": 900,
        "record": true,
        "initial_message": "Hi, this is an assistant from Your Company. I hope I'm catching you at a good time. How are you doing today?",
        "system_prompt": "You are a sales representative for Your Company. Be professional, friendly, and focus on qualifying leads for premium services.",
        "flows_platform_id": null,
        "timezone": "America/Los_Angeles",
        "created_at": "2025-07-15T14:32:15.000000Z",
        "updated_at": "2025-08-02T09:18:42.000000Z",
        "max_silence_duration": 25,
        "reengagement_interval": 45,
        "deleted_at": null,
        "end_call_on_voicemail": 1,
        "llm_temperature": "0.35",
        "voice_stability": "0.75",
        "voice_similarity": "0.85",
        "allow_interruptions": true,
        "enable_noise_cancellation": true,
        "endpoint_sensitivity": 1.8,
        "speech_speed": "1.10",
        "endpoint_type": "vad",
        "wait_for_customer": true,
        "mode": "pipeline",
        "language_id": 1,
        "transcriber_provider_id": null,
        "synthesizer_provider_id": null,
        "llm_model_id": 3,
        "multimodal_model_id": null,
        "ambient_sound": "office",
        "uuid": "a7b3c942-5f1e-4d28-8c59-2e4f7a8b9c3d",
        "send_webhook_only_on_completed": true,
        "include_recording_in_webhook": true,
        "interrupt_sensitivity": 1.2,
        "filler_config": {
          "neutral": [
            "I see.",
            "Understood.",
            "Right.",
            "Got it.",
            "Okay."
          ],
          "negative": [
            "I understand.",
            "Hmm.",
            "I see.",
            "Okay."
          ],
          "positive": [
            "Excellent!",
            "That's great!",
            "Wonderful!",
            "Perfect!"
          ],
          "question": [
            "Let me think...",
            "Good question.",
            "Hmm.",
            "Right."
          ]
        },
        "knowledgebase_id": 12,
        "knowledgebase_mode": "hybrid",
        "min_interrupt_words": 3,
        "ambient_sound_volume": "0.30",
        "widget_settings": {
          "theme": "modern",
          "color": "#2563eb",
          "position": "bottom-right"
        }
      }
    ],
    "first_page_url": "https://call.aiployees.com/api/user/assistants/get?page=1",
    "from": 1,
    "last_page": 5,
    "last_page_url": "https://call.aiployees.com/api/user/assistants/get?page=5",
    "links": [
      {
        "url": null,
        "label": "&laquo; Previous",
        "active": false
      },
      {
        "url": "https://call.aiployees.com/api/user/assistants/get?page=1",
        "label": "1",
        "active": true
      },
      {
        "url": "https://call.aiployees.com/api/user/assistants/get?page=2",
        "label": "2",
        "active": false
      }
    ],
    "next_page_url": "https://call.aiployees.com/api/user/assistants/get?page=2",
    "path": "https://call.aiployees.com/api/user/assistants/get",
    "per_page": 10,
    "prev_page_url": null,
    "to": 10,
    "total": 47
  }
  ```
</ResponseExample>
